Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class ListTopicsResult

    java.lang.Object
      com.amazonaws.services.sns.model.ListTopicsResult

    public class ListTopicsResult

extends Object

List Topics Result

Constructor Summary
`ListTopicsResult()`

Method Summary
`String` | `getNextToken()` Token to pass along to the next ListTopics request.
`List<Topic>` | `getTopics()` A list of topic ARNs.
`void` | `setNextToken(String nextToken)` Token to pass along to the next ListTopics request.
`void` | `setTopics(Collection<Topic> topics)` A list of topic ARNs.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListTopicsResult` | `withNextToken(String nextToken)` Token to pass along to the next ListTopics request.
`ListTopicsResult` | `withTopics(Collection<Topic> topics)` A list of topic ARNs.
`ListTopicsResult` | `withTopics(Topic... topics)` A list of topic ARNs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListTopicsResult

    public ListTopicsResult()

Method Detail

### getTopics

    public List<Topic> getTopics()

  A list of topic ARNs.

  Returns:
    A list of topic ARNs.

### setTopics

    public void setTopics(Collection<Topic> topics)

  A list of topic ARNs.

  Parameters:
    `topics` - A list of topic ARNs.

### withTopics

    public ListTopicsResult withTopics(Topic... topics)

  A list of topic ARNs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `topics` - A list of topic ARNs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withTopics

    public ListTopicsResult withTopics(Collection<Topic> topics)

  A list of topic ARNs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `topics` - A list of topic ARNs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  Token to pass along to the next ListTopics request. This element is returned if there are additional topics to retrieve.

  Returns:
    Token to pass along to the next ListTopics request. This element is returned if there are additional topics to retrieve.

### setNextToken

    public void setNextToken(String nextToken)

  Token to pass along to the next ListTopics request. This element is returned if there are additional topics to retrieve.

  Parameters:
    `nextToken` - Token to pass along to the next ListTopics request. This element is returned if there are additional topics to retrieve.

### withNextToken

    public ListTopicsResult withNextToken(String nextToken)

  Token to pass along to the next ListTopics request. This element is returned if there are additional topics to retrieve.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `nextToken` - Token to pass along to the next ListTopics request. This element is returned if there are additional topics to retrieve.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.